#import "RCTZip.h"
#import "SSZipArchive.h"

@implementation RCTZip
RCT_EXPORT_MODULE()

RCT_REMAP_METHOD(unzip,
                 zipPath:(NSString *)zipPath
                 destinationPath:(NSString *)destinationPath
                 overwrite:(BOOL)overwrite
                 password:(NSString *)password
                 resolver:(RCTPromiseResolveBlock)resolve
                 rejecter:(RCTPromiseRejectBlock)reject)
{
    NSError* error = nil;
    BOOL result = [SSZipArchive
                   unzipFileAtPath:zipPath
                   toDestination:destinationPath
                   overwrite:overwrite
                   password:password
                   error:&error];
    
    if (result) {
        resolve(nil);
    } else {
        reject(error);
    }
}

@end